Bug 196305 - [PATCH] Missing quoting in mkinitrd's emit_iscsi()
[PATCH] Missing quoting in mkinitrd's emit_iscsi()
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-22 10:47 EDT by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 5.0.44-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-23 08:52:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Thanks to wwoods and Dyson pointing me to it :) (399 bytes, patch)
2006-06-22 11:34 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Robert Scheck 2006-06-22 10:47:58 EDT
Description of problem:
$ rpm -ivh kernel-2.6.17-1.2293_FC6.i686.rpm
Vorbereiten...              ########################################### [100%]
   1:kernel                 ########################################### [100%]
cp: Aufruf von stat für »/sbin/iscsistart« nicht möglich: Datei oder Verzeichnis 
nicht gefunden
$

Sorry, error message is i18n, but:
$ ls -l /sbin/iscsistart
ls: /sbin/iscsistart: No such file or directory
$

Version-Release number of selected component (if applicable):
mkinitrd-5.0.43-1

How reproducible:
Everytime, see above.

Actual results:
mkinitrd tries to use /sbin/iscsistart without any conditionals.

Expected results:
At least, the use of /sbin/iscsistart should be conditional - not everybody
wants iSCSI support (SCSI over IP?)... ;-)
Comment 1 Robert Scheck 2006-06-22 11:34:46 EDT
Created attachment 131362 [details]
Thanks to wwoods and Dyson pointing me to it :)

$ /sbin/new-kernel-pkg -v --package kernel --mkinitrd --depmod --install
2.6.17-1.2293_FC6
initrdfile is /boot/initrd-2.6.17-1.2293_FC6.img
running depmod for 2.6.17-1.2293_FC6
creating initrd /boot/initrd-2.6.17-1.img using 2.6.17-1.2293_FC6
cp: Aufruf von stat für »/sbin/iscsistart« nicht möglich: Datei oder
Verzeichnis nicht gefunden
found /boot/initrd-2.6.17-1.2293_FC6.img and using it with grubby
adding 2.6.17-1.2293_FC6 to /boot/grub/grub.conf
/etc/lilo.conf does not exist, not running grubby
$

As far as I can see, no iSCSI was detected, otherwise there would have been a
"Found iscsi component $1" output, right? In assumption of this, I went through

mkinitrd code. For debugging, I put a 

    if [ -n ${iscsi_devs} ]; then
      echo "true";
      echo "x${iscsi_devs}x";
    fi

into emit_iscsi() which returned the following:

[...]
true
xx
[...]

Ahhhhhhh....please fix your faulty code soon! :-P
Comment 2 Robert Scheck 2006-06-23 08:52:19 EDT
Thanks Jeremy and Karsten for fixing it in 5.0.44-1 - closing now.

Note You need to log in before you can comment on or make changes to this bug.